"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parser = void 0;
const SINGLE_QUOTE = "'";
const DOUBLE_QUOTE = '"';
function parser(str) {
    const args = [];
    let done = 0;
    let inside = undefined;
    str = str.trim();
    function flush(i) {
        if (done !== i)
            args.push(str.slice(done, i)), (inside = undefined);
        done = i + 1;
    }
    for (let i = 0; i < str.length; i++) {
        const char = str[i];
        if (char === SINGLE_QUOTE || char === DOUBLE_QUOTE)
            if (inside)
                if (inside === char)
                    flush(i);
                else
                    continue;
            else
                flush(i), (inside = char);
        else if (char === ' ')
            if (inside)
                continue;
            else
                flush(i);
    }
    if (done !== str.length)
        args.push((inside !== null && inside !== void 0 ? inside : '') + str.slice(done));
    return args;
}
exports.parser = parser;
