"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultContract = exports.denoHttpContract = void 0;
const debug_ts_1 = require("../../platform/deps/debug.ts");
const stream_consumers_ts_1 = require("../../vendor/stream-consumers.ts");
const TOKEN_HEADER = 'x-telegram-bot-api-secret-token';
const denoHttpContract = (filter) => async (event) => {
    const d = (0, debug_ts_1.debug)('telegraf:denoHttp-webhook');
    const req = event.request;
    if (!(await filter(req.method, req.url, req.headers.get(TOKEN_HEADER))))
        return d('Webhook filter failed');
    const filtered = {
        done: false,
        update: () => (0, stream_consumers_ts_1.json)(req.body),
        reply: (json, status) => {
            d('Sending response %s', status);
            filtered.done = true;
            return event.respondWith(new Response(json, {
                status,
                headers: { 'Content-Type': 'application/json' },
            }));
        },
        returns: event,
    };
    return filtered;
};
exports.denoHttpContract = denoHttpContract;
exports.defaultContract = exports.denoHttpContract;
