"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromLocalFile = void 0;
const mod_ts_1 = require("https://deno.land/std@0.165.0/streams/mod.ts");
const mod_ts_2 = require("https://deno.land/std@0.165.0/path/mod.ts");
const payload_ts_1 = require("../core/network/payload.ts");
/**
 * The local file specified by path will be uploaded to Telegram using multipart/form-data.
 *
 * 10 MB max size for photos, 50 MB for other files.
 */
const fromLocalFile = (path, filename = (0, mod_ts_2.basename)(path)) => new payload_ts_1.StreamFile(async function* () {
    yield* (0, mod_ts_1.readableStreamFromReader)(await Deno.open(path));
}, filename);
exports.fromLocalFile = fromLocalFile;
