"use strict";
/*
  ===
  Adopted from https://github.com/Bruce17/safe-compare
  Copyright Michael Raith. All rights reserved. MIT License.
  ===
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.safeCompare = void 0;
/**
 * Do a constant time string comparison. Always compare the complete strings
 * against each other to get a constant time. This method does not short-cut
 * if the two string's length differs.
 */
function safeCompare(a, b) {
    let lenA = a.length;
    let result = 0;
    if (lenA !== b.length)
        (b = a), (result = 1);
    for (var i = 0; i < lenA; i++)
        result |= a.charCodeAt(i) ^ b.charCodeAt(i);
    return result === 0;
}
exports.safeCompare = safeCompare;
