"use strict";
/*
  ===
  Adopted from https://github.com/nodejs/node/blob/a01dbf179ec5bf53cb19041303afd55e1d1e9f3f/lib/stream/consumers.js
  Copyright Joyent and Node contributors. All rights reserved. MIT license.
  ===
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.json = void 0;
async function text(stream) {
    const dec = new TextDecoder();
    let str = '';
    for await (const chunk of stream) {
        if (typeof chunk === 'string')
            str += chunk;
        else
            str += dec.decode(chunk, { stream: true });
    }
    // Flush the streaming TextDecoder so that any pending
    // incomplete multibyte characters are handled.
    str += dec.decode(undefined, { stream: false });
    return str;
}
async function json(stream) {
    const str = await text(stream);
    return JSON.parse(str);
}
exports.json = json;
